> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/productpurchasedecision.md).

# ProductPurchaseDecision

## Overview

ProductPurchaseDecision는 구매된 상품의 영수증 처리 결과를 정의하는 Enum입니다.

MarketplaceService.ProcessReceipt 콜백에서 사용되며, 상품 지급 상태를 서버에 통신하는 데 사용됩니다.

## Items

| Name            | Value | Description                                                                    |
| --------------- | ----- | ------------------------------------------------------------------------------ |
| NotProcessedYet | 0     | 구매가 완료되었지만 처리 로직이 아직 실행되지 않은 상태입니다. 이 상태에서는 구매 콜백이 처리가 성공적으로 완료될 때까지 반복 호출됩니다. |
| PurchaseGranted | 1     | 구매가 완료되었으며, 관련 처리가 정상적으로 수행된 상태입니다.                                            |

## See also

{% content-ref url="/pages/HgPQAoNB2p4oEEjtDB8w" %}
[MarketplaceService](/korean/development/api-reference/classes/marketplaceservice.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/productpurchasedecision.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
